InvalidCipherTextException (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto

## Class InvalidCipherTextException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.bouncycastle.crypto.CryptoException
      - - org.bouncycastle.crypto.InvalidCipherTextException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidCipherTextException
      extends CryptoException

  this exception is thrown whenever we find something we don't expect in a message.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidCipherTextException()` base constructor.
    `InvalidCipherTextException(java.lang.String message)` create a InvalidCipherTextException with the given message.
    `InvalidCipherTextException(java.lang.String message, java.lang.Throwable cause)` create a InvalidCipherTextException with the given message.

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.crypto.CryptoException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidCipherTextException

          public InvalidCipherTextException()

      base constructor.

    - #### InvalidCipherTextException

          public InvalidCipherTextException(java.lang.String message)

      create a InvalidCipherTextException with the given message.
      Parameters:
        `message` - the message to be carried with the exception.

    - #### InvalidCipherTextException

          public InvalidCipherTextException(java.lang.String message,
                                            java.lang.Throwable cause)

      create a InvalidCipherTextException with the given message.
      Parameters:
        `message` - the message to be carried with the exception.
        `cause` - the root cause of the exception.